Debian Bug report logs - #607839
desktop-base: debian/copyright file needs more official info about GNOME foot Logo

version graph

Package: desktop-base; Maintainer for desktop-base is Gustavo Franco <stratus@debian.org>; Source for desktop-base is src:desktop-base.

Reported by: Francesco Poli <invernomuto@paranoici.org>

Date: Wed, 22 Dec 2010 21:42:02 UTC

Severity: normal

Found in version desktop-base/6.0.5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 22 Dec 2010 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Francesco Poli \(t1000\)" <frx@firenze.linux.it>:
New Bug report received and forwarded. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 22 Dec 2010 21:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Francesco Poli \(t1000\)" <frx@firenze.linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: desktop-base: debian/copyright file needs more official info about GNOME foot Logo
Date: Wed, 22 Dec 2010 22:38:13 +0100
Package: desktop-base
Version: 6.0.5
Severity: normal

Hi!

The debian/copyright file currently states that the GNOME foot Logo

| is released under the LGPL v2.1 or later, as stated in
| http://commons.wikimedia.org/w/index.php?title=File:Gnomelogo.svg&oldid=39892275

More official information about the license and copyright notice of
the GNOME foot Logo should be found and included in the debian/copyright
file...




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 22 Dec 2010 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 22 Dec 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 607839@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: GNOME licensing <licensing@gnome.org>
Cc: 607839@bugs.debian.org
Subject: Question about copyright/license of the GNOME foot Logo
Date: Wed, 22 Dec 2010 23:10:43 +0100
[Message part 1 (text/plain, inline)]
Hello GNOME foundation licensing team,
I am a user and contributor of the Debian distribution.

I have a question about the GNOME foot Logo.

The "desktop-base" Debian package includes an image which is derived
from the GNOME foot Logo.
I am currently trying to properly document the copyright and license of
the GNOME foot Logo, but I wasn't able to find official information.

According to
http://commons.wikimedia.org/w/index.php?title=File:Gnomelogo.svg&oldid=39892275
the GNOME foot Logo is released under the LGPL v2.1 or later.

However, despite some searches on GNOME official web sites, I was not
able to find any clear copyright notice (with years and copyright
holders) for the Logo, or any clear statement on the copyright license
and license version(s).

Could you please send me the exact copyright notice and permission
notice for the GNOME foot Logo?

Please keep <607839@bugs.debian.org> in Cc:, so that your reply is
publicly shown on the Debian bug report.

Thanks in advance for any help you can provide.

All the best.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter to 'Francesco Poli <invernomuto@paranoici.org>' from '"Francesco Poli \(t1000\)" <frx@firenze.linux.it>' Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Sat, 25 Jun 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sat, 25 Jun 2011 20:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Sat, 25 Jun 2011 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sat, 25 Jun 2011 20:45:06 GMT) Full text and rfc822 format available.

Message #22 received at 607839@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: GNOME licensing <licensing@gnome.org>
Cc: 607839@bugs.debian.org
Subject: Question about copyright/license of the GNOME foot Logo
Date: Sat, 25 Jun 2011 22:18:26 +0200
[Message part 1 (text/plain, inline)]
Hello GNOME foundation licensing team,
I am a user and contributor of the Debian distribution.

I have a question about the GNOME foot Logo.

The "desktop-base" Debian package includes an image which is derived
from the GNOME foot Logo.
I am currently trying to properly document the copyright and license of
the GNOME foot Logo, but I wasn't able to find official information.

According to
http://commons.wikimedia.org/w/index.php?title=File:Gnomelogo.svg&oldid=39892275
the GNOME foot Logo is released under the LGPL v2.1 or later.

However, despite some searches on GNOME official web sites, I was not
able to find any clear copyright notice (with years and copyright
holders) for the Logo, or any clear statement on the copyright license
and license version(s).

Could you please send me the exact copyright notice and permission
notice for the GNOME foot Logo?

Please keep <607839@bugs.debian.org> in Cc:, so that your reply is
publicly shown on the Debian bug report.

Thanks in advance for any help you can provide.

All the best.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien Nocera <hadess@hadess.net>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 09:51:10 GMT) Full text and rfc822 format available.

Message #27 received at 607839@bugs.debian.org (full text, mbox):

From: Bastien Nocera <hadess@hadess.net>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: GNOME licensing <licensing@gnome.org>, 607839@bugs.debian.org
Subject: Re: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 10:48:15 +0100
On Sat, 2011-06-25 at 22:18 +0200, Francesco Poli wrote:
> Hello GNOME foundation licensing team,
> I am a user and contributor of the Debian distribution.
> 
> I have a question about the GNOME foot Logo.
> 
> The "desktop-base" Debian package includes an image which is derived
> from the GNOME foot Logo.
> I am currently trying to properly document the copyright and license of
> the GNOME foot Logo, but I wasn't able to find official information.

Information is at:
http://foundation.gnome.org/licensing/guidelines/
and
http://foundation.gnome.org/licensing/index.html

Did you read the guidelines? What does your "combined" logo look like?
If the combined work looks like it's merging the GNOME logo with another
logo, it wouldn't be fine to use.

Cheers





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 12:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 607839@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Bastien Nocera <hadess@hadess.net>, 607839@bugs.debian.org
Cc: GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 14:20:13 +0200
[Message part 1 (text/plain, inline)]
Le mardi 28 juin 2011 à 10:48 +0100, Bastien Nocera a écrit : 
> > The "desktop-base" Debian package includes an image which is derived
> > from the GNOME foot Logo.
> > I am currently trying to properly document the copyright and license of
> > the GNOME foot Logo, but I wasn't able to find official information.
> 
> Information is at:
> http://foundation.gnome.org/licensing/guidelines/
> and
> http://foundation.gnome.org/licensing/index.html
> 
> Did you read the guidelines? What does your "combined" logo look like?
> If the combined work looks like it's merging the GNOME logo with another
> logo, it wouldn't be fine to use.

It is my impression by reading the guidelines that the foot logo without
the GNOME text (as shipped by gnome-about) isn’t subject to the same
terms as the one with the text (as shipped by gnome-icon-theme). This
would be similar to what we have for the Debian swirl.

So to be more precise, we’d like to know what are the rules (both
trademark and copyright) for the GNOME foot logo without the GNOME text
under it.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 12:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien Nocera <hadess@hadess.net>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 12:48:06 GMT) Full text and rfc822 format available.

Message #37 received at 607839@bugs.debian.org (full text, mbox):

From: Bastien Nocera <hadess@hadess.net>
To: Josselin Mouette <joss@debian.org>
Cc: 607839@bugs.debian.org, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 13:45:48 +0100
On Tue, 2011-06-28 at 14:20 +0200, Josselin Mouette wrote:
> Le mardi 28 juin 2011 à 10:48 +0100, Bastien Nocera a écrit : 
> > > The "desktop-base" Debian package includes an image which is derived
> > > from the GNOME foot Logo.
> > > I am currently trying to properly document the copyright and license of
> > > the GNOME foot Logo, but I wasn't able to find official information.
> > 
> > Information is at:
> > http://foundation.gnome.org/licensing/guidelines/
> > and
> > http://foundation.gnome.org/licensing/index.html
> > 
> > Did you read the guidelines? What does your "combined" logo look like?
> > If the combined work looks like it's merging the GNOME logo with another
> > logo, it wouldn't be fine to use.
> 
> It is my impression by reading the guidelines that the foot logo without
> the GNOME text (as shipped by gnome-about) isn’t subject to the same
> terms as the one with the text (as shipped by gnome-icon-theme). This
> would be similar to what we have for the Debian swirl.
> 
> So to be more precise, we’d like to know what are the rules (both
> trademark and copyright) for the GNOME foot logo without the GNOME text
> under it.

Again, we'd like to see the logo you're referring to.





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 13:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 13:03:07 GMT) Full text and rfc822 format available.

Message #42 received at 607839@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Bastien Nocera <hadess@hadess.net>
Cc: 607839@bugs.debian.org, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 15:01:04 +0200
[Message part 1 (text/plain, inline)]
Le mardi 28 juin 2011 à 13:45 +0100, Bastien Nocera a écrit : 
> > It is my impression by reading the guidelines that the foot logo without
> > the GNOME text (as shipped by gnome-about) isn’t subject to the same
> > terms as the one with the text (as shipped by gnome-icon-theme). This
> > would be similar to what we have for the Debian swirl.
> > 
> > So to be more precise, we’d like to know what are the rules (both
> > trademark and copyright) for the GNOME foot logo without the GNOME text
> > under it.
> 
> Again, we'd like to see the logo you're referring to.

I think Francesco is talking about things like the logo on
http://pkg-gnome.alioth.debian.org/
(I don’t find it in desktop-base though, maybe we ship it in
gnome-icon-theme instead.)

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien Nocera <hadess@hadess.net>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 13:21:05 GMT) Full text and rfc822 format available.

Message #47 received at 607839@bugs.debian.org (full text, mbox):

From: Bastien Nocera <hadess@hadess.net>
To: Josselin Mouette <joss@debian.org>
Cc: 607839@bugs.debian.org, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 14:18:09 +0100
On Tue, 2011-06-28 at 15:01 +0200, Josselin Mouette wrote:
> Le mardi 28 juin 2011 à 13:45 +0100, Bastien Nocera a écrit : 
> > > It is my impression by reading the guidelines that the foot logo without
> > > the GNOME text (as shipped by gnome-about) isn’t subject to the same
> > > terms as the one with the text (as shipped by gnome-icon-theme). This
> > > would be similar to what we have for the Debian swirl.
> > > 
> > > So to be more precise, we’d like to know what are the rules (both
> > > trademark and copyright) for the GNOME foot logo without the GNOME text
> > > under it.
> > 
> > Again, we'd like to see the logo you're referring to.
> 
> I think Francesco is talking about things like the logo on
> http://pkg-gnome.alioth.debian.org/
> (I don’t find it in desktop-base though, maybe we ship it in
> gnome-icon-theme instead.)

This sort of thing is absolutely forbidden, as per the licensing rules I
referenced earlier. From
http://foundation.gnome.org/licensing/guidelines/:
"
Do not combine or use a GNOME Trademark with your company's product or
service name or any other term unless you have written permission to do
so. Use of GNOME Trademarks in that sort of way would NOT be a fair use.
"

I really don't see us making an exception for such a dilution of our
trademark and logo. You can put the 2 logos side-by-side, but it puts
the Debian logo (if it is trademarked) under as much threat as it would
the GNOME one.

Cheers





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 13:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 13:33:04 GMT) Full text and rfc822 format available.

Message #52 received at 607839@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Josselin Mouette <joss@debian.org>, 607839@bugs.debian.org
Cc: Bastien Nocera <hadess@hadess.net>, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 15:30:13 +0200
On mar., 2011-06-28 at 15:01 +0200, Josselin Mouette wrote:
> Le mardi 28 juin 2011 à 13:45 +0100, Bastien Nocera a écrit : 
> > > It is my impression by reading the guidelines that the foot logo without
> > > the GNOME text (as shipped by gnome-about) isn’t subject to the same
> > > terms as the one with the text (as shipped by gnome-icon-theme). This
> > > would be similar to what we have for the Debian swirl.
> > > 
> > > So to be more precise, we’d like to know what are the rules (both
> > > trademark and copyright) for the GNOME foot logo without the GNOME text
> > > under it.
> > 
> > Again, we'd like to see the logo you're referring to.
> 
> I think Francesco is talking about things like the logo on
> http://pkg-gnome.alioth.debian.org/
> (I don’t find it in desktop-base though, maybe we ship it in
> gnome-icon-theme instead.)

I think it might be
http://anonscm.debian.org/viewvc/debian-desktop/packages/tags/desktop-base/6.0.5/splash/nightly-splash.png

(sorry it seems that inline view is broken there).

-- 
Yves-Alexis





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien Nocera <hadess@hadess.net>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #57 received at 607839@bugs.debian.org (full text, mbox):

From: Bastien Nocera <hadess@hadess.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: Josselin Mouette <joss@debian.org>, 607839@bugs.debian.org, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 14:37:50 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-06-28 at 15:30 +0200, Yves-Alexis Perez wrote:
> On mar., 2011-06-28 at 15:01 +0200, Josselin Mouette wrote:
> > Le mardi 28 juin 2011 à 13:45 +0100, Bastien Nocera a écrit : 
> > > > It is my impression by reading the guidelines that the foot logo without
> > > > the GNOME text (as shipped by gnome-about) isn’t subject to the same
> > > > terms as the one with the text (as shipped by gnome-icon-theme). This
> > > > would be similar to what we have for the Debian swirl.
> > > > 
> > > > So to be more precise, we’d like to know what are the rules (both
> > > > trademark and copyright) for the GNOME foot logo without the GNOME text
> > > > under it.
> > > 
> > > Again, we'd like to see the logo you're referring to.
> > 
> > I think Francesco is talking about things like the logo on
> > http://pkg-gnome.alioth.debian.org/
> > (I don’t find it in desktop-base though, maybe we ship it in
> > gnome-icon-theme instead.)
> 
> I think it might be
> http://anonscm.debian.org/viewvc/debian-desktop/packages/tags/desktop-base/6.0.5/splash/nightly-splash.png

That's a logo (attached for convenience) that is more interesting, and
could probably be acceptable. We'll add discussing it to the Board
meeting's agenda.

Cheers
[nightly-splash.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 14:16:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 14:16:23 GMT) Full text and rfc822 format available.

Message #62 received at 607839@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Bastien Nocera <hadess@hadess.net>, 607839@bugs.debian.org
Cc: GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 15:58:10 +0200
[Message part 1 (text/plain, inline)]
Le mardi 28 juin 2011 à 14:18 +0100, Bastien Nocera a écrit : 
> > I think Francesco is talking about things like the logo on
> > http://pkg-gnome.alioth.debian.org/
> > (I don’t find it in desktop-base though, maybe we ship it in
> > gnome-icon-theme instead.)
> 
> This sort of thing is absolutely forbidden, as per the licensing rules I
> referenced earlier. From
> http://foundation.gnome.org/licensing/guidelines/:
> "
> Do not combine or use a GNOME Trademark with your company's product or
> service name or any other term unless you have written permission to do
> so. Use of GNOME Trademarks in that sort of way would NOT be a fair use.
> "
> 
> I really don't see us making an exception for such a dilution of our
> trademark and logo. You can put the 2 logos side-by-side, but it puts
> the Debian logo (if it is trademarked) under as much threat as it would
> the GNOME one.

So this means the guidelines also apply to the logo without the “GNOME”
text.

This means we will have to remove any files containing the logo from our
packages, per the Debian guidelines. I’d really like to avoid that since
the impact is far more important than the pair of packages we are
talking about at the moment.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 14:16:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien Nocera <hadess@hadess.net>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 14:16:25 GMT) Full text and rfc822 format available.

Message #67 received at 607839@bugs.debian.org (full text, mbox):

From: Bastien Nocera <hadess@hadess.net>
To: Josselin Mouette <joss@debian.org>
Cc: 607839@bugs.debian.org, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 15:06:46 +0100
On Tue, 2011-06-28 at 15:58 +0200, Josselin Mouette wrote:
> Le mardi 28 juin 2011 à 14:18 +0100, Bastien Nocera a écrit : 
> > > I think Francesco is talking about things like the logo on
> > > http://pkg-gnome.alioth.debian.org/
> > > (I don’t find it in desktop-base though, maybe we ship it in
> > > gnome-icon-theme instead.)
> > 
> > This sort of thing is absolutely forbidden, as per the licensing rules I
> > referenced earlier. From
> > http://foundation.gnome.org/licensing/guidelines/:
> > "
> > Do not combine or use a GNOME Trademark with your company's product or
> > service name or any other term unless you have written permission to do
> > so. Use of GNOME Trademarks in that sort of way would NOT be a fair use.
> > "
> > 
> > I really don't see us making an exception for such a dilution of our
> > trademark and logo. You can put the 2 logos side-by-side, but it puts
> > the Debian logo (if it is trademarked) under as much threat as it would
> > the GNOME one.
> 
> So this means the guidelines also apply to the logo without the “GNOME”
> text.
> 
> This means we will have to remove any files containing the logo from our
> packages, per the Debian guidelines. I’d really like to avoid that since
> the impact is far more important than the pair of packages we are
> talking about at the moment.

The GNOME logo, with and without text underneath it, is copyrighted.
It's still unbelievably unclear what exact logo uses you're referring
to.

Combined works like this one:
http://pkg-gnome.alioth.debian.org/images/gnome-debian-small-trans.png
are unquestionably wrong. They will need to be removed indeed.

Reworks of the GNOME logo need discussion, both with the lawyers and the
people who worked on the original branding guidelines. This includes
things like this splash screen:
http://anonscm.debian.org/viewvc/debian-desktop/packages/tags/desktop-base/6.0.5/splash/nightly-splash.png

Cheers





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 14:33:03 GMT) Full text and rfc822 format available.

Message #72 received at 607839@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Bastien Nocera <hadess@hadess.net>
Cc: 607839@bugs.debian.org, GNOME licensing <licensing@gnome.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 16:31:07 +0200
[Message part 1 (text/plain, inline)]
Le mardi 28 juin 2011 à 15:06 +0100, Bastien Nocera a écrit : 
> > This means we will have to remove any files containing the logo from our
> > packages, per the Debian guidelines. I’d really like to avoid that since
> > the impact is far more important than the pair of packages we are
> > talking about at the moment.
> 
> The GNOME logo, with and without text underneath it, is copyrighted.
> It's still unbelievably unclear what exact logo uses you're referring
> to.

And it is still unbelievably unclear what exact copyright rules apply
for the GNOME logo and what trademark rules apply.

As far as copyright is concerned, gnome-icon-theme mentions all icons
(including the GNOME foot) are dual-licensed under the LGPL v3 and
CC-BY-SA 3.0.
http://git.gnome.org/browse/gnome-icon-theme/tree/src/start-here.svg

As far as trademark rules are concerned, the rules you mentioned do not
mention any other version of the GNOME logo than the one with the GNOME
text.
http://foundation.gnome.org/licensing/

We are talking here about applying the rights that the LGPL grants, on a
logo that is not subject to your trademark rules. So until this
conversation, we naively thought such works were not a problem.

> Combined works like this one:
> http://pkg-gnome.alioth.debian.org/images/gnome-debian-small-trans.png
> are unquestionably wrong. They will need to be removed indeed.

If such works are not permitted this means the foot logo without text is
not free software and we will have to remove it from our repositories as
per DFSG#3.

I’d like to have an official stance from the GNOME foundation before
introducing such a drastic, useless and time-consuming change. I’d also
appreciate if we could discuss this kind of issues face-to-face with
specialists because they are obviously too complex to be dealt with by a
pair of emails.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to karen@gnome.org:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 22:18:03 GMT) Full text and rfc822 format available.

Message #77 received at 607839@bugs.debian.org (full text, mbox):

From: "Karen Sandler" <karen@gnome.org>
To: "Josselin Mouette" <joss@debian.org>
Cc: "Bastien Nocera" <hadess@hadess.net>, "GNOME licensing" <licensing@gnome.org>, 607839@bugs.debian.org
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Tue, 28 Jun 2011 17:44:40 -0400 (EDT)
Hi Josselin,

I'm a bit new to GNOME (just started as ED last week), so bear with me. I
do have a legal background though, so hopefully we can get this sorted out
in a quick and friendly way!

On Tue, June 28, 2011 10:31 am, Josselin Mouette wrote:
> Le mardi 28 juin 2011 à 15:06 +0100, Bastien Nocera a écrit :
>> > This means we will have to remove any files containing the logo from
>> our
>> > packages, per the Debian guidelines. I’d really like to avoid that
>> since
>> > the impact is far more important than the pair of packages we are
talking about at the moment.
>> The GNOME logo, with and without text underneath it, is copyrighted.
It's still unbelievably unclear what exact logo uses you're referring
to.
>
> And it is still unbelievably unclear what exact copyright rules apply
for the GNOME logo and what trademark rules apply.
>
> As far as copyright is concerned, gnome-icon-theme mentions all icons
(including the GNOME foot) are dual-licensed under the LGPL v3 and
CC-BY-SA 3.0.
> http://git.gnome.org/browse/gnome-icon-theme/tree/src/start-here.svg
>
> As far as trademark rules are concerned, the rules you mentioned do not
mention any other version of the GNOME logo than the one with the GNOME
text.
> http://foundation.gnome.org/licensing/
>
> We are talking here about applying the rights that the LGPL grants, on a
logo that is not subject to your trademark rules. So until this
> conversation, we naively thought such works were not a problem.

Ah, I see the confusion here - the logos identified on that page are the
marks that have been registered, but GNOME, like Debian, has trademark
rights in logos that it uses even if it hasn't registered them.  And the
usage policy covers all logos and other marks. Of course, if a mark is not
covered by a policy or the like granting permission for use then you'd
have an even more restricted range of things you could do with it.

>
>> Combined works like this one:
>> http://pkg-gnome.alioth.debian.org/images/gnome-debian-small-trans.png
are unquestionably wrong. They will need to be removed indeed.
>
> If such works are not permitted this means the foot logo without text is
not free software and we will have to remove it from our repositories as
per DFSG#3.

>
> I’d like to have an official stance from the GNOME foundation before
introducing such a drastic, useless and time-consuming change. I’d
also
> appreciate if we could discuss this kind of issues face-to-face with
specialists because they are obviously too complex to be dealt with by a
pair of emails.

I don't think your conclusion is right, and I actually bet that if the
tables were turned, Debian would have a problem if GNOME created a mark
like that and started using it. Though I can't tell what Debian's current
policy is, I don't believe either of the trademark policies marked
proposed would allow it. The usage guidelines explicitly permit all of the
uses necessary for the foot logo to be used with free software, and like
all free software trademark policies I'm familiar with, is aimed at
preventing confusing uses. (I also note that the Debian swirl isn't a
registered mark but I believe Debian would expect folks not to use it in a
way that confused people about whether they were getting a Debian distro
or something else.) This use is actually the use of both marks in the
creation of a new mark, which could indeed be very confusing.

That being said, GNOME and Debian are working towards the same goals and
if both organizations agree to that particular use of their marks, they
can permit it and create a license for it, with its own policy which would
prevent it from confusing the marketplace. GNOME will consider this
situation in more detail.

Has Debian considered this in relation to the use of their own mark in a
different and potentially confusing way?

karen








Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Tue, 28 Jun 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 28 Jun 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #82 received at 607839@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: karen@gnome.org
Cc: Bastien Nocera <hadess@hadess.net>, GNOME licensing <licensing@gnome.org>, 607839@bugs.debian.org, leader@debian.org
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Wed, 29 Jun 2011 00:32:05 +0200
Hi,

Le mardi 28 juin 2011 à 17:44 -0400, Karen Sandler a écrit :
> Ah, I see the confusion here - the logos identified on that page are the
> marks that have been registered, but GNOME, like Debian, has trademark
> rights in logos that it uses even if it hasn't registered them.  And the
> usage policy covers all logos and other marks. Of course, if a mark is not
> covered by a policy or the like granting permission for use then you'd
> have an even more restricted range of things you could do with it.

Thanks for the precision. So, I understand the policy applies to the
logo in gnome-icon-theme as well.

At the very least it would be appreciated if it was mentioned in the
gnome-icon-theme package that the LGPL doesn’t actually apply to
start-here.svg.

> I don't think your conclusion is right, and I actually bet that if the
> tables were turned, Debian would have a problem if GNOME created a mark
> like that and started using it. Though I can't tell what Debian's current
> policy is, I don't believe either of the trademark policies marked
> proposed would allow it. The usage guidelines explicitly permit all of the
> uses necessary for the foot logo to be used with free software, and like
> all free software trademark policies I'm familiar with, is aimed at
> preventing confusing uses. (I also note that the Debian swirl isn't a
> registered mark but I believe Debian would expect folks not to use it in a
> way that confused people about whether they were getting a Debian distro
> or something else.) This use is actually the use of both marks in the
> creation of a new mark, which could indeed be very confusing.

The Debian logos have different policies depending on the logo:
http://www.debian.org/logos/

We used to deal very badly with our own mark, but now that our policies
have been fixed, the open use logo without the Debian text is clearly
the only one which is compatible with the Debian Free Software
Guidelines, and as such it is the only one we allow in the distribution
itself.

TTBOMK we regularly remove artwork and/or trademarked logos from some of
our packages so that the rules are the same for everyone. It would
probably be best if we could avoid to do that with GNOME.

> That being said, GNOME and Debian are working towards the same goals and
> if both organizations agree to that particular use of their marks, they
> can permit it and create a license for it, with its own policy which would
> prevent it from confusing the marketplace. GNOME will consider this
> situation in more detail.

I think I’m going to leave the Debian Project Leader deal with this.
Stefano, I’ll let you read the bug log . Maybe you’ll want to ask the
FTP masters too, since they are ultimately responsible for inclusion
rules.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 29 Jun 2011 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 29 Jun 2011 08:42:03 GMT) Full text and rfc822 format available.

Message #87 received at 607839@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: karen@gnome.org, Bastien Nocera <hadess@hadess.net>, GNOME licensing <licensing@gnome.org>, 607839@bugs.debian.org, FTP-Master <ftpmaster@debian.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Wed, 29 Jun 2011 10:39:22 +0200
[Message part 1 (text/plain, inline)]
[ Adding ftpmaster to Cc.  ftpmaster: please check bug log for context ]

On Wed, Jun 29, 2011 at 12:32:05AM +0200, Josselin Mouette wrote:
> I think I’m going to leave the Debian Project Leader deal with this.
> Stefano, I’ll let you read the bug log . Maybe you’ll want to ask the
> FTP masters too, since they are ultimately responsible for inclusion
> rules.

Ah, dear old can of worms^W^W^W interaction among trademark, FOSS
licenses, and DFSG.

I'm under the impression that we don't have a clear cut policy on
whether DFSG apply to trademark restrictions as well as to "software"
licenses. I believe it has been judged on a case by case basis by FTP
master. ... but I might be very wrong about this, so I'm getting FTP
masters in the loop for clarification.

The case of the Debian logo which has been mentioned in this bug log is
actually something we are not happy with, because on one hand we want to
protect debian trademark, but on the other we really don't want some of
our official logos to be non-DFSG free (as they currently are). We would
love to have trademark protection *and* a DFSG-free license, but we have
been advised in the past that doing such a re-licensing might pose
danger to the trademark itself.

In that respect, a mutual agreement among Debian and GNOME is not going
to help on the Debian side, given that DFSG §8 is very clear on the fact
that "license" must not be specific to Debian.

Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 29 Jun 2011 09:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 29 Jun 2011 09:51:21 GMT) Full text and rfc822 format available.

Message #92 received at 607839@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Josselin Mouette <joss@debian.org>, 607839@bugs.debian.org
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Wed, 29 Jun 2011 11:47:01 +0200
On Wed, Jun 29, 2011 at 12:32:05AM +0200, Josselin Mouette wrote:
> Hi,
> 
> Le mardi 28 juin 2011 à 17:44 -0400, Karen Sandler a écrit :
> > Ah, I see the confusion here - the logos identified on that page are the
> > marks that have been registered, but GNOME, like Debian, has trademark
> > rights in logos that it uses even if it hasn't registered them.  And the
> > usage policy covers all logos and other marks. Of course, if a mark is not
> > covered by a policy or the like granting permission for use then you'd
> > have an even more restricted range of things you could do with it.
> 
> Thanks for the precision. So, I understand the policy applies to the
> logo in gnome-icon-theme as well.
> 
> At the very least it would be appreciated if it was mentioned in the
> gnome-icon-theme package that the LGPL doesn’t actually apply to
> start-here.svg.

The LGPL does apply there. You are free to derive the file to create
something that is not the GNOME mark. Or something that is the GNOME
mark and fulfils the trademark license.

You could also derive anything that is LGPL (or any other free license)
and turn it into a GNOME logo and would still need to comply with GNOME
trademark license. That still wouldn't make the original file that
wasn't the GNOME logo non-LGPL...

That's a bit of a stretch but the point is : copyright and trademark are
two separate aspects, and a trademark license doesn't change the
copyright license.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 29 Jun 2011 13:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to karen@gnome.org:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 29 Jun 2011 13:30:07 GMT) Full text and rfc822 format available.

Message #97 received at 607839@bugs.debian.org (full text, mbox):

From: "Karen Sandler" <karen@gnome.org>
To: "Stefano Zacchiroli" <leader@debian.org>
Cc: "Josselin Mouette" <joss@debian.org>, "Bastien Nocera" <hadess@hadess.net>, "GNOME licensing" <licensing@gnome.org>, 607839@bugs.debian.org, "FTP-Master" <ftpmaster@debian.org>
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Wed, 29 Jun 2011 09:27:27 -0400 (EDT)
On Wed, June 29, 2011 4:39 am, Stefano Zacchiroli wrote:
> [ Adding ftpmaster to Cc.  ftpmaster: please check bug log for context ]
>
> On Wed, Jun 29, 2011 at 12:32:05AM +0200, Josselin Mouette wrote:
>> I think I’m going to leave the Debian Project Leader deal with this.
>> Stefano, I’ll let you read the bug log . Maybe you’ll want to ask
>> the
>> FTP masters too, since they are ultimately responsible for inclusion
>> rules.
>
> Ah, dear old can of worms^W^W^W interaction among trademark, FOSS
> licenses, and DFSG.
>
> I'm under the impression that we don't have a clear cut policy on
> whether DFSG apply to trademark restrictions as well as to "software"
> licenses. I believe it has been judged on a case by case basis by FTP
> master. ... but I might be very wrong about this, so I'm getting FTP
> masters in the loop for clarification.

OK! As you know, it's a tough line to walk - free software projects like
Gnome have adopted permissive trademark policies to allow the software to
be distributed freely while hopefully keeping some trademark protection to
prevent predatory use of the marks.
>
> The case of the Debian logo which has been mentioned in this bug log is
> actually something we are not happy with, because on one hand we want to
> protect debian trademark, but on the other we really don't want some of
> our official logos to be non-DFSG free (as they currently are). We would
> love to have trademark protection *and* a DFSG-free license, but we have
> been advised in the past that doing such a re-licensing might pose
> danger to the trademark itself.

Exactly! This is the same problem that all truly free software projects
wrestle with, which permissive use guidelines try to address.

> In that respect, a mutual agreement among Debian and GNOME is not going
> to help on the Debian side, given that DFSG §8 is very clear on the fact
> that "license" must not be specific to Debian.

Actually, what I was saying could work was a license agreement to create a
new mark, but then the establishment of a joint trademark policy that
permitted its use for everyone, as the Gnome guidelines do now. The mark
we're discussing is a new one that uses both Gnome and Debian marks, and
one which could be confusing and weaken both of them if not dealt with
carefully. Honestly, the mark is different enough (but clearly a use of
the Gnome mark) that Gnome will have to evaluate its position on it
anyway. I just wanted to make sure that we were all on the same page, and
that there was no question about the removal of the regular Gnome foot
logo by Debian (as opposed to the new combined mark), which should be fine
to use. The trademark laws are frustrating, but they really are aimed at
making sure that some proprietary software vendor can't come along and put
our logos on its software and confuse users into thinking that it's free
because it's branded to look like us. Trademark is such a pain, but
hopefully in the worst case it won't be too big of a deal to just remove
the new combined mark if we all want to avoid all of this.

karen







Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Fri, 01 Jul 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 01 Jul 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #102 received at 607839@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 607839@bugs.debian.org
Subject: Re: Bug#607839: Question about copyright/license of the GNOME foot Logo
Date: Fri, 1 Jul 2011 15:29:13 +0200
On Tue, Jun 28, 2011 at 03:30:13PM +0200, Yves-Alexis Perez wrote:
> I think it might be
> http://anonscm.debian.org/viewvc/debian-desktop/packages/tags/desktop-base/6.0.5/splash/nightly-splash.png
> 
> (sorry it seems that inline view is broken there).

Just for reference: that can be fixed by running

svn ps svn:mime-type image/png nightly-splash.png

(or 'svn ps svn:mime-type image/png *png', you get the idea...)

It's currently set to application/octet-stream, which tells a browser
that it's not anything useful, and viewvc uses that information when
serving it to a client.

-- 
The volume of a pizza of thickness a and radius z can be described by
the following formula:

pi zz a




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Thu, 14 Jul 2011 21:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 14 Jul 2011 21:39:08 GMT) Full text and rfc822 format available.

Message #107 received at 607839@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: Stefano Zacchiroli <leader@debian.org>
Cc: Josselin Mouette <joss@debian.org>, karen@gnome.org, Bastien Nocera <hadess@hadess.net>, GNOME licensing <licensing@gnome.org>, 607839@bugs.debian.org, FTP-Master <ftpmaster@debian.org>, debian-project@lists.debian.org
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Thu, 14 Jul 2011 23:26:02 +0200
Hello world,

[ We got asked how the Debian project (and especially us as delegates
handling the archive)  has handled trademarks in the past, and our
opinion on how restrictive Trademark licenses can (or not) lead to DFSG
freeness issues. This topic cooked up with the special example of the
current GNOME trademark license, so we base our answer on that.]

We feel that it is infeasible for Debian to be in complete compliance
with the current GNOME trademark license.  In our strict reading of this
license, the only way to be in full compliance would require us to
perform actions such as renaming packages in the form of
GNOME™-control-center.  This extreme example would conflict directly
with Debian policy on the use of non-ascii lowercase characters in
package names as well as being technically inadvisable.  Therefore, as
long as we are using GNOME marks, we are likely to be in some way
violating their current trademark license agreement. The safest thing
for us to do would seem to be to terminate all use of the GNOME marks,
and essentially rebranding the software, as was done in the case for
firefox/iceweasel.  This, however, would be a huge amount of work for
Debian with very little real payoff.  We should be able to avoid doing
all this work, as it seems that the trademark owners want to work with
us in order to find some agreeable compromise.  We therefore think that
the best way forward would be to make a best effort to correct any
specific cases which they point out to us as problematic misuse of their
marks. But we have to be careful not to end up with a Debian specific
solution (due to DFSG #8).

The case of the image which was created combining the GNOME foot and the
Debian swirl seem unquestionably in violation of their trademark,
especially when you realize that the creator of this image was using the
foot in this case with the specific intention of referencing GNOME.
Until we can come up with some agreement with the trademark owners about
using such a mark, Debian should stop distributing similar material.


As a general comment, we feel like this problem is an unfortunate
one. This situation is one where we have people trying to limit user
freedom via software which is in Debian, going against Debian's core
tenets. We understand they are doing so to defend Free Software related
marks, but that doesn't solve the underlying problem. It may also be the
case that from Debian's point of view, the developer body as a whole
needs to take a formal stand by means of a GR on the general issue of
how to resolve the tension among DFSG principles and trademark
licenses. This would clearly resolve this issue once and for all,
especially given that this is the second major instance of a similar
issue. We therefore ask the DPL to consider raising the issue with the
project as a whole, most likely after any initial discussions with the
GNOME foundation have concluded.

-- 
bye, Joerg, for the FTP Team
Trying is the first step towards failure.




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Fri, 15 Jul 2011 12:16:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 15 Jul 2011 12:18:18 GMT) Full text and rfc822 format available.

Message #112 received at 607839@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: debian-project@lists.debian.org
Cc: leader@debian.org, joss@debian.org, karen@gnome.org, hadess@hadess.net, licensing@gnome.org, 607839@bugs.debian.org, ftpmaster@debian.org, debian-project@lists.debian.org
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Fri, 15 Jul 2011 13:01:13 +0100 (BST)
Joerg Jaspert wrote:
> We feel that it is infeasible for Debian to be in complete compliance
> with the current GNOME trademark license. [...]

OK, sorry if this is an old chestnut, but do we actually need a
licence in general?  Is most of the use in Debian more than honest
description of the source of the software?

> The case of the image which was created combining the GNOME foot and the
> Debian swirl seem unquestionably in violation of their trademark, [...]

Yes, that seems like something that will have to stop if the GNOME
foot is not free software because of some restrictive TM licence. :-(

> [...] We understand they are doing so to defend Free Software related
> marks, but that doesn't solve the underlying problem. It may also be the
> case that from Debian's point of view, the developer body as a whole
> needs to take a formal stand by means of a GR on the general issue of
> how to resolve the tension among DFSG principles and trademark
> licenses. [...]

Is there a tension?  Isn't it obvious that many Free Software related
marks are not themselves free software?

It disappoints me when free software projects use proprietary frosting
to restrict user freedom, but it seems like an old chestnut rather
than a new problem requiring a new GR.

Thanks for any explanations,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Fri, 15 Jul 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 15 Jul 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #117 received at 607839@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@debian.org>
To: MJ Ray <mjr@phonecoop.coop>, debian-project@lists.debian.org
Cc: leader@debian.org, joss@debian.org, karen@gnome.org, hadess@hadess.net, licensing@gnome.org, 607839@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Fri, 15 Jul 2011 11:07:11 -0400
[Message part 1 (text/plain, inline)]
On Fri, 15 Jul 2011 13:01:13 +0100 (BST), MJ Ray <mjr@phonecoop.coop> wrote:
> Joerg Jaspert wrote:
> > We feel that it is infeasible for Debian to be in complete compliance
> > with the current GNOME trademark license. [...]
> 
> OK, sorry if this is an old chestnut, but do we actually need a
> licence in general?  Is most of the use in Debian more than honest
> description of the source of the software?

As far as I know, we have not made any inquiries to lawyers as to how
valid their claim to the GNOME mark is.  If their claim to the mark is
valid, then we could be legally be required to stop using this mark.  

> 
> > The case of the image which was created combining the GNOME foot and the
> > Debian swirl seem unquestionably in violation of their trademark, [...]
> 
> Yes, that seems like something that will have to stop if the GNOME
> foot is not free software because of some restrictive TM licence. :-(
> 
> > [...] We understand they are doing so to defend Free Software related
> > marks, but that doesn't solve the underlying problem. It may also be the
> > case that from Debian's point of view, the developer body as a whole
> > needs to take a formal stand by means of a GR on the general issue of
> > how to resolve the tension among DFSG principles and trademark
> > licenses. [...]
> 
> Is there a tension?  Isn't it obvious that many Free Software related
> marks are not themselves free software?

The way you state your question "Isn't it obvious that many Free
Software related marks are not themselves free software?"  Makes me want
to respond "No, trademarks are not software."  Perhaps in an "ideal"
world we would be saying that the DSFG applies as cleanly to trademark
issues as it does to copyright issues, but in reality it is not the
case. The stance that we do not allow the use of any trademarks in
Debian would be an insane stance to take, once you realize how many
trademarks are in Debian already.  MySQL is trademarked, OpenGL is
trademarked, we mention Microsoft, Apple, and probably a number of other
companies.  Python is trademarked, mono is trademarked.  For that matter
"Linux" and Debian are trademarked.  We clearly are not going to either
remove all this software or rename it.  We ARE going to be using
trademarks that other entities have some legal control over.  Since this
puts us in the position of having external entities having some legal
control over what we do with our software, this is in tension with the
DFSG which tries to make sure I have complete control over the software
in Debian.

I believe we are going to have to make decisions about what to do about
a trademark we are using once a trademark owner notifies us that we are
using their trademarks in ways which they don't approve of, as it is
happening in this case with the GNOME marks, and once we are notified,
decide how we react.  In some cases, we should be able to dismiss a
trademark owner's claims entirely.  Although someone owns the Git
trademark, since our use of "git" is not likely to cause confusion to
people, we don't have to worry of our use as infringing.  In other cases
we might decide that our use of their mark falls under "fair use" and
thus not infringing. 

When we are contacted by a owner of a trademark on which we believe we
are infringing, the safest thing for us to do legally is to cease all
use of the mark.  The easiest thing for us to do is to ignore their
claim.  We'll need to figure out where we want to land between these two
extremes, and here again, there is tension.  I don't believe it is as
simple as you state it: "...that seems like something that will have to
stop if the GNOME foot is not free software because of some restrictive
TM license".  Because by that argument tells us that we have to rename
all GNOME software, since the trademark license is restrictive about how
we use "GNOME".

I think it is clear in the case of the foot/swirl icon, which has been
definitively identified as infringing on their mark in a way which is
objectionable to the owners of the mark, we should cease the
distribution and/or use of this icon.  There perhaps is little tension
here. When they tell us that our non-compliance with their trademark
policy in areas like using GNOME in all lowercase letters is
objectionable, there will be considerable trouble in resolving this.

> 
> It disappoints me when free software projects use proprietary frosting
> to restrict user freedom, but it seems like an old chestnut rather
> than a new problem requiring a new GR.

Since we are in the position of having to decide on multiple different
outcomes, none of which are 100% desirable, and that this is not likely
to be the last time that such a situation will arise, I believe it might
be wise to reach a consensus about how the project wants to handle these
situations. The best means to do this might be to memorialize this using
a GR.

stew

p.s. You used the term "old chestnut" twice.  If is some kind of
colloquialism that might carry additional meaning, it is not one I'm
familiar with, so forgive me if there is some meaning I've missed.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Fri, 15 Jul 2011 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Machlas <arthur.machlas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 15 Jul 2011 17:54:04 GMT) Full text and rfc822 format available.

Message #122 received at 607839@bugs.debian.org (full text, mbox):

From: Arthur Machlas <arthur.machlas@gmail.com>
To: 607839@bugs.debian.org
Cc: debian-project@lists.debian.org, ftpmaster@debian.org
Subject: Re: Bug#607839: Question about GNOME Trademark and GNOME project packages in Debian
Date: Fri, 15 Jul 2011 12:50:17 -0500
On Fri, Jul 15, 2011 at 10:07 AM, Mike O'Connor <stew@debian.org> wrote:
> On Fri, 15 Jul 2011 13:01:13 +0100 (BST), MJ Ray <mjr@phonecoop.coop> wrote:
>> Joerg Jaspert wrote:
>>
>> Is there a tension?  Isn't it obvious that many Free Software related
>> marks are not themselves free software?
>
> The way you state your question "Isn't it obvious that many Free
> Software related marks are not themselves free software?"  Makes me want
> to respond "No, trademarks are not software."  Perhaps in an "ideal"
> world we would be saying that the DSFG applies as cleanly to trademark
> issues as it does to copyright issues, but in reality it is not the
> case. The stance that we do not allow the use of any trademarks in
> Debian would be an insane stance to take, once you realize how many
> trademarks are in Debian already.  MySQL is trademarked, OpenGL is
> trademarked, we mention Microsoft, Apple, and probably a number of other
> companies.  Python is trademarked, mono is trademarked.  For that matter
> "Linux" and Debian are trademarked.  We clearly are not going to either
> remove all this software or rename it.  We ARE going to be using
> trademarks that other entities have some legal control over.  Since this
> puts us in the position of having external entities having some legal
> control over what we do with our software, this is in tension with the
> DFSG which tries to make sure I have complete control over the software
> in Debian.
>
> I believe we are going to have to make decisions about what to do about
> a trademark we are using once a trademark owner notifies us that we are
> using their trademarks in ways which they don't approve of, as it is
> happening in this case with the GNOME marks, and once we are notified,
> decide how we react.  In some cases, we should be able to dismiss a
> trademark owner's claims entirely.  Although someone owns the Git
> trademark, since our use of "git" is not likely to cause confusion to
> people, we don't have to worry of our use as infringing.  In other cases
> we might decide that our use of their mark falls under "fair use" and
> thus not infringing.
>
> When we are contacted by a owner of a trademark on which we believe we
> are infringing, the safest thing for us to do legally is to cease all
> use of the mark.  The easiest thing for us to do is to ignore their
> claim.  We'll need to figure out where we want to land between these two
> extremes, and here again, there is tension.  I don't believe it is as
> simple as you state it: "...that seems like something that will have to
> stop if the GNOME foot is not free software because of some restrictive
> TM license".  Because by that argument tells us that we have to rename
> all GNOME software, since the trademark license is restrictive about how
> we use "GNOME".
>
> I think it is clear in the case of the foot/swirl icon, which has been
> definitively identified as infringing on their mark in a way which is
> objectionable to the owners of the mark, we should cease the
> distribution and/or use of this icon.  There perhaps is little tension
> here. When they tell us that our non-compliance with their trademark
> policy in areas like using GNOME in all lowercase letters is
> objectionable, there will be considerable trouble in resolving this.
>
>>
>> It disappoints me when free software projects use proprietary frosting
>> to restrict user freedom, but it seems like an old chestnut rather
>> than a new problem requiring a new GR.
>
> Since we are in the position of having to decide on multiple different
> outcomes, none of which are 100% desirable, and that this is not likely
> to be the last time that such a situation will arise, I believe it might
> be wise to reach a consensus about how the project wants to handle these
> situations. The best means to do this might be to memorialize this using
> a GR.

One of the most absurd examples of this tension, is that Debian isn't
allowed to use the 'Official' Debian Logo in its Debian distribution.
It would be nice if during the process of unravelling this issue, via
GR or what have you, this rather embarrassing case could be addressed
as well.




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Fri, 15 Jul 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Fri, 15 Jul 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #127 received at 607839@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Mike O'Connor <stew@debian.org>
Cc: MJ Ray <mjr@phonecoop.coop>, debian-project@lists.debian.org, leader@debian.org, joss@debian.org, karen@gnome.org, hadess@hadess.net, licensing@gnome.org, 607839@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Fri, 15 Jul 2011 13:40:03 -0700
Mike O'Connor <stew@debian.org> writes:
> On Fri, 15 Jul 2011 13:01:13 +0100 (BST), MJ Ray <mjr@phonecoop.coop> wrote:

>> OK, sorry if this is an old chestnut, but do we actually need a licence
>> in general?  Is most of the use in Debian more than honest description
>> of the source of the software?

> As far as I know, we have not made any inquiries to lawyers as to how
> valid their claim to the GNOME mark is.  If their claim to the mark is
> valid, then we could be legally be required to stop using this mark.

The point isn't that the mark may be invalid.  The point is rather that
using a trademark descriptively concerning the product for which the mark
is registered is legitimate use of the mark and doesn't require any sort
of license.  It's not clear that a trademark holder can put additional
restrictions on how the mark can be used, as long as the mark is being
used to refer to the associated product and not some different product.

However, at the point that one is making that argument, one is well into
lawyer territory with murky and inconsistent outcomes in trials.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Sun, 17 Jul 2011 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sun, 17 Jul 2011 07:45:04 GMT) Full text and rfc822 format available.

Message #132 received at 607839@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, Josselin Mouette <joss@debian.org>, 607839@bugs.debian.org, FTP-Master <ftpmaster@debian.org>, debian-project@lists.debian.org
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Sun, 17 Jul 2011 00:43:49 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 14, 2011 at 11:26:02PM +0200, Joerg Jaspert wrote:
> We feel that it is infeasible for Debian to be in complete compliance
> with the current GNOME trademark license.  In our strict reading of this
> license, the only way to be in full compliance would require us to
> perform actions such as renaming packages in the form of
> GNOME™-control-center.  This extreme example would conflict directly
> with Debian policy on the use of non-ascii lowercase characters in
> package names as well as being technically inadvisable.  Therefore, as
> long as we are using GNOME marks, we are likely to be in some way
> violating their current trademark license agreement.

The problem here is not that Debian does not comply with the trademark
license.  The problem here is that someone made the mistake of *ASKING*
about the trademark license.

Debian is not *trading* on any of the marks in question, and there is no
reason under the sun for us to give a damn about the status of any trademark
claims until a trademark holder specifically makes it a legal question by
sending a cease and desist letter or filing a lawsuit.

It doesn't matter one bit whether we're complying with the terms of the
trademark license agreement *if we aren't doing anything that requires
licensing of a trademark*.

Now, trademarks are sensitive things for upstreams; they wouldn't have gone
to the trouble of securing a mark if they didn't care about protecting it
from dilution.  We (broadly) feel the same way about the Debian mark.  So
since we're really on the same side as the upstreams and want to get along
with them, it makes sense for us to take into consideration requests they
might have of us.  But this is not a question of freeness or legality, only
of maintaining good relations with upstream.

> The safest thing for us to do would seem to be to terminate all use of the
> GNOME marks, and essentially rebranding the software, as was done in the
> case for firefox/iceweasel.

This is a perverse definition of "safe".  There is no real risk associated
with nominative and functional use of the marks (such as in package names,
directory names, and the like).

> We therefore think that the best way forward would be to make a best
> effort to correct any specific cases which they point out to us as
> problematic misuse of their marks.  But we have to be careful not to end
> up with a Debian specific solution (due to DFSG #8).

DFSG #8 is not an issue.  DFSG #4 allows authors to require changed versions
of their software to be distributed under a different name.  If the upstream
makes special allowances for Debian to use the name for modified versions,
this doesn't fail the DFSG, because everyone still has the required rights
when using the package.

> The case of the image which was created combining the GNOME foot and the
> Debian swirl seem unquestionably in violation of their trademark,

It is not "unquestionably" in violation of their trademark.  Trademarks are
*always* fuzzy things, and there are *always* questions about whether
something is a violation - questions that can only ever be settled
definitively in court.

It's perfectly fine for Debian to decide that, because the GNOME mark
holders *believe* it is infringing, we prefer to ask them for an explicit
license just to be safe.

> especially when you realize that the creator of this image was using the
> foot in this case with the specific intention of referencing GNOME.
> Until we can come up with some agreement with the trademark owners about
> using such a mark, Debian should stop distributing similar material.

There is no precedent for requiring Debian packages to avoid trademark
infringement as a condition of inclusion in the archive.  I am very much
opposed to anything that would require Debian to remove potentially
trademark infringing logos from packages "until we have agreement with the
trademark owners".  This is entirely the wrong way around - we should always
assume that our use is permitted wrt trademark law unless either a) a court
ruling determines otherwise, or b) we decide it's not in our interest to
fight a lawsuit over the matter and as a project decide to stop using the
mark.  In no event should the ftpmasters be preemptively deciding that such
works should be excluded from the archive pending an agreement unless so
directed by Debian's counsel in the course of litigation.

> As a general comment, we feel like this problem is an unfortunate
> one. This situation is one where we have people trying to limit user
> freedom via software which is in Debian, going against Debian's core
> tenets. We understand they are doing so to defend Free Software related
> marks, but that doesn't solve the underlying problem. It may also be the
> case that from Debian's point of view, the developer body as a whole
> needs to take a formal stand by means of a GR on the general issue of
> how to resolve the tension among DFSG principles and trademark
> licenses. This would clearly resolve this issue once and for all,
> especially given that this is the second major instance of a similar
> issue.

This case is not congruous to the firefox case.  In that case, there was a
copyright license on the logo which enforced trademark-like restrictions
which as a result did not meet the DFSG.  We obviously need a free copyright
license for the works that we distribute, and since we didn't have one the
necessary course of action was to remove that logo from the source.  And
since that constituted a very visible change to the software itself, it was
reasonable to question whether it should continue to be called firefox under
the circumstances.

For GNOME, whose logos are all distributed under free licenses, there is no
such compulsion to avoid their inclusion, no matter what license GNOME
offers for the trademark represented by those logos, and we should not be
scared into removing them (or the GNOME name) for no reason.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 27 Jul 2011 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shaun McCance <shaunm@gnome.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 27 Jul 2011 22:03:05 GMT) Full text and rfc822 format available.

Message #137 received at 607839@bugs.debian.org (full text, mbox):

From: Shaun McCance <shaunm@gnome.org>
To: Mike O'Connor <stew@debian.org>
Cc: MJ Ray <mjr@phonecoop.coop>, debian-project@lists.debian.org, ftpmaster@debian.org, karen@gnome.org, 607839@bugs.debian.org, leader@debian.org, joss@debian.org, licensing@gnome.org
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Wed, 27 Jul 2011 18:05:55 -0400
On Fri, 2011-07-15 at 11:07 -0400, Mike O'Connor wrote:
> When we are contacted by a owner of a trademark on which we believe we
> are infringing, the safest thing for us to do legally is to cease all
> use of the mark.  The easiest thing for us to do is to ignore their
> claim.  We'll need to figure out where we want to land between these two
> extremes, and here again, there is tension.  I don't believe it is as
> simple as you state it: "...that seems like something that will have to
> stop if the GNOME foot is not free software because of some restrictive
> TM license".  Because by that argument tells us that we have to rename
> all GNOME software, since the trademark license is restrictive about how
> we use "GNOME".

Sorry for the confusion. Nobody is actually asking you to rename 
packages. We realize our  trademark usage guidelines need work. Talking
about renaming packages is not productive, because nobody from GNOME
actually wants you to do that.

We are working to improve our trademark policy and in the meantime, we
want you to know that GNOME has no complaint about omitting notices in
package names or other similar customary informal use, such as in  
emails, and we will not assert our current policy in that way, so long
as there's no confusion about whether the software is actually GNOME.

Thanks,
Shaun McCance
GNOME Foundation Board Member






Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#607839; Package desktop-base. (Wed, 16 Nov 2011 19:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 16 Nov 2011 19:09:07 GMT) Full text and rfc822 format available.

Message #142 received at 607839@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: debian-project@lists.debian.org
Cc: 607839@bugs.debian.org, FTP-Master <ftpmaster@debian.org>
Subject: Re: Question about GNOME Trademark and GNOME project packages in Debian
Date: Wed, 16 Nov 2011 19:01:14 +0000 (UTC)
Steve Langasek dixit:

>DFSG #8 is not an issue.  DFSG #4 allows authors to require changed versions
>of their software to be distributed under a different name.  If the upstream
>makes special allowances for Debian to use the name for modified versions,
>this doesn't fail the DFSG, because everyone still has the required rights
>when using the package.

I don’t think that is true. The DFSG are sort of a promise to the users
of Debian that they can assume certain freedoms are met when dealing
with the main archive. So, if upstream allows Debian to use the original
name for modified works, but that permission is not transitive to Debian
users (redistributors, etc) it fails DFSG #8 because, sure, the users or
redistributors _could_ rename it, but that’s not what the promise is
about. In this case, it could only be met if the packages in main were
already renamed (and Debian would not make use of the special permit).

Food for thought: NMUs… Derivatives… or even simply CD distributors,
such as the people running the Debian booths at events.

bye,
//mirabilos (who’d prefer to just shut up and hack, but in this world…)

PS: Please do Cc me in replies that I should read, as I’m not on this
    list.
-- 
I believe no one can invent an algorithm. One just happens to hit upon it
when God enlightens him. Or only God invents algorithms, we merely copy them.
If you don't believe in God, just consider God as Nature if you won't deny
existence.		-- Coywolf Qi Hunt




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:01:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.